> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1domainreset



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Nginx.Domains//swagger/v1/swagger.json post /api/v1/Domain/reset
openapi: 3.0.0
info:
  title: NDS.Nginx.Domains
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Nginx.Domains/
security: []
paths:
  /api/v1/Domain/reset:
    post:
      tags:
        - Domain
      operationId: Domain_SaveDomainList
      requestBody:
        x-name: registrations
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Registrations'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
components:
  schemas:
    Registrations:
      type: object
      additionalProperties: false
      properties:
        AllRegistrations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Registration'
    Registration:
      type: object
      additionalProperties: false
      properties:
        DomainName:
          type: string
          nullable: true
        Uri:
          type: string
          nullable: true
        DnsHostName:
          type: string
          nullable: true
        PublicKey:
          type: string
          nullable: true
        PrivateKey:
          type: string
          nullable: true
        HostRelativePath:
          type: string
          nullable: true
        Ssl:
          type: boolean
        Port:
          type: integer
          nullable: true

````